Skip to main content
Query resource groups status
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

Only summary of the records required

namePattern
string

Resource group name pattern to be matched.

status
integer<int32>

Resource group status to be matched.

type
enum<string>
default:TAG_TYPE_UNSPECIFIED

Resource group type to ne matched.

  • TAG_TYPE_UNSPECIFIED: Unspecified
  • TAG_TYPE_GENERIC: Generic resource group
  • TAG_TYPE_PROJECT: Project resource group
  • TAG_TYPE_AZURE: Project resource group
  • TAG_TYPE_DEPLOYMENT: Project with deployment
Available options:
TAG_TYPE_UNSPECIFIED,
TAG_TYPE_GENERIC,
TAG_TYPE_PROJECT,
TAG_TYPE_AZURE,
TAG_TYPE_DEPLOYMENT
tags
string

Resource group type to be matched with tags.

titlePattern
string

Resource group title pattern to be matched.

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select: id, name, status

Response

A successful response.

summaryByState
Summary is used to store the Summary details · object

Summary of filtered resource group records

list
Resource group detail · object[]

List of filtered resource group records

next
Cursor is used as filter in list operation. · object

Responded page details of filtered records

summaryByType
Summary is used to store the Summary details · object

Summary of filtered resource group records